<?php

namespace App\Media;

/**
 * This represents a media type that we dont know how to parse
 */
class Unknown extends Base {
	private const LOGKEY = 'MF?';

	private string $type;

	public function __construct(string $filename,string $type)
	{
		parent::__construct($filename);

		$this->type = $type;
	}

	public function __get(string $key): mixed
	{
		return NULL;
	}
}